#ifndef ARCLIB_JOBLIST
#define ARCLIB_JOBLIST

#include <list>
#include <string>
#include <map>

#include <arc/error.h>

/** This method gets a list of jobids from the .ngjobs respecting the
 *  clusterselect and clusterreject list passed.
 */
std::map<std::string, std::string> GetJobIDs(bool all = true,
      const std::list<std::string>& jobs = std::list<std::string>(),
      const std::list<std::string>& clusterselect = std::list<std::string>(),
      const std::list<std::string>& clusterreject = std::list<std::string>());

/** This method adds a jobid and corresponding jobname to the .ngjobs file. */
void AddJobID(const std::string& jobid, const std::string& jobname);

/** This method removes a jobid from the .ngjobs file. */
void RemoveJobID(const std::string& jobid);

#endif // ARCLIB_JOBLIST
